megatools-reg(1)

NAME
megatools reg - Register new Mega.nz account

SYNOPSIS
    megatools reg [--scripted] --register --email <email> --name <realname> --password <password>
    megatools reg [--scripted] --verify <state> <link>

DESCRIPTION
Registers new Mega.nz account. Registration is split into two steps:

1.  \FC--register\F[]: Creates a new non-verified account

2.  \FC--verify\F[]: Verifies account with the link that was sent to \FC<email>\F[]

See example of registration below.

OPTIONS

--register
    Create new non-verified account.

--verify <state> <link>
    Verify account previously created by \FCmegatools reg --register\F[]. You need to pass \FC<state>\F[] that was returned from \FCmegatools reg --register\F[] and a verification link from the email that was sent to \FC<email>\F[].

--email <email>
    Email serves as your new account username, that you’ll be using to sign in. NOTES: Beware that ATM, email format is not validated by megatools.

--name <realname>
    Your real (or fake) name.

--password <password>
    Plaintext password. No strength checking is done, so make sure you pick a strong password yourself.

--scripted
    After registration, print the command that can be used to finish the registration in a format suitable for scripting purposes.

--limit-speed <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit. When using ParallelTransfers > 1, upload speed limit is applied to each transfer individually.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at ⟨https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html⟩. Some acceptable values are:

    •   \FCnone\F[] : Disable proxy if it was enabled in the config file.

    •   \FCsocks5://localhost:9050\F[] : Local SOCKSv5 proxy server

    •   \FCsocks5h://localhost:9050\F[] : Local SOCKSv5 proxy server with DNS handled by the proxy

--netif <ifname|ip>
    Network interface or local IP address used for outgoing connections. You have to specify IP address bound to some of your local network interfaces, when specifying an IP address.

--ip-proto <proto>
    Which IP protocol to prefer when connecting to mega.nz (v4, v6, or any). This is just an advisory option. Megatools will resolve mega.nz domain, and then use an A or AAAA record based on the stated preference.

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. \FC--debug api,fs\F[]) Available options are:

    •   \FChttp\F[]: Dump HTTP request/response details (can be used to debug connection/proxy issues)

    •   \FCapi\F[]: Dump Mega.nz API calls

    •   \FCfs\F[]: Dump Mega.nz filesystem (may require \FC--reload\F[] to actually print something)

    •   \FCcache\F[]: Dump cache contents

    •   \FCtman\F[]: Dump transfer manager events

--version
    Show version information

EXAMPLE
First create an non-verified account:

\FC$ megatools reg --register --email your@email.com --name "Your Name" --password "Your Password"
Registration email was sent to test@megous.com. To complete registration, you must run:
  megatools reg --verify vbFFFv7AFM25etzkFXLs9A==:Z7FFbgAAAAAAAAAArL33eA==:inEONh3tmwY @LINK@
(Where @LINK@ is registration link from the 'MEGA Signup' email)\F[]

Now wait for a verification mail and run the command as asked:

\FC$ megatools reg --verify vbFFFv7AFM25etzkFXLs9A==:Z7FFbgAAAAAAAAAArL33eA==:inEONh3tmwY \
    'https://mega.nz/#confirmciyfWXRGFNcM...'
Account registered successfully!\F[]

SEE ALSO
megatools(1), megarc(5), megatools-df(1), megatools-dl(1), megatools-get(1), megatools-ls(1), megatools-mkdir(1), megatools-put(1), megatools-reg(1), megatools-rm(1), megatools-copy(1).

MEGATOOLS
Part of the megatools(1) suite of commands.

BUGS
Report bugs to . Your message will end up in a public archive, so be careful what you say or send.

AUTHOR
Megatools was written by Ondrej Jirman < >, 2013-2022.

Official website is ⟨http://megatools.megous.com⟩.